<div>
    <h2 id="page-heading">
        <span jhiTranslate="restaurantApplicationApp.customer.home.title">Customers</span>
        <button id="jh-create-entity" class="btn btn-primary float-right jh-create-entity create-customer" [routerLink]="['/customer/new']">
            <fa-icon [icon]="'plus'"></fa-icon>
            <span  jhiTranslate="restaurantApplicationApp.customer.home.createLabel">
            Create new Customer
            </span>
        </button>
    </h2>
    <jhi-alert></jhi-alert>
    <br/>
    <div class="table-responsive" *ngIf="customers">
        <table class="table table-striped">
            <thead>
            <tr jhiSort [(predicate)]="predicate" [(ascending)]="reverse" [callback]="transition.bind(this)">
            <th jhiSortBy="id"><span jhiTranslate="global.field.id">ID</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th jhiSortBy="firstName"><span jhiTranslate="restaurantApplicationApp.customer.firstName">First Name</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th jhiSortBy="lastName"><span jhiTranslate="restaurantApplicationApp.customer.lastName">Last Name</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th jhiSortBy="gender"><span jhiTranslate="restaurantApplicationApp.customer.gender">Gender</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th jhiSortBy="email"><span jhiTranslate="restaurantApplicationApp.customer.email">Email</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th jhiSortBy="phone"><span jhiTranslate="restaurantApplicationApp.customer.phone">Phone</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th jhiSortBy="addressLine1"><span jhiTranslate="restaurantApplicationApp.customer.addressLine1">Address Line 1</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th jhiSortBy="addressLine2"><span jhiTranslate="restaurantApplicationApp.customer.addressLine2">Address Line 2</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th jhiSortBy="city"><span jhiTranslate="restaurantApplicationApp.customer.city">City</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th jhiSortBy="country"><span jhiTranslate="restaurantApplicationApp.customer.country">Country</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th jhiSortBy="user.login"><span jhiTranslate="restaurantApplicationApp.customer.user">User</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th></th>
            </tr>
            </thead>
            <tbody>
            <tr *ngFor="let customer of customers ;trackBy: trackId">
                <td><a [routerLink]="['/customer', customer.id, 'view' ]">{{customer.id}}</a></td>
                <td>{{customer.firstName}}</td>
                <td>{{customer.lastName}}</td>
                <td jhiTranslate="{{'restaurantApplicationApp.Gender.' + customer.gender}}">{{customer.gender}}</td>
                <td>{{customer.email}}</td>
                <td>{{customer.phone}}</td>
                <td>{{customer.addressLine1}}</td>
                <td>{{customer.addressLine2}}</td>
                <td>{{customer.city}}</td>
                <td>{{customer.country}}</td>
                <td>
                    {{customer.user?.login}}
                </td>
                <td class="text-right">
                    <div class="btn-group flex-btn-group-container">
                        <button type="submit"
                                [routerLink]="['/customer', customer.id, 'view' ]"
                                class="btn btn-info btn-sm">
                            <fa-icon [icon]="'eye'"></fa-icon>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.view">View</span>
                        </button>
                        <button type="submit"
                                [routerLink]="['/customer', customer.id, 'edit']"
                                class="btn btn-primary btn-sm">
                            <fa-icon [icon]="'pencil-alt'"></fa-icon>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.edit">Edit</span>
                        </button>
                        <button type="submit"
                                [routerLink]="['/', 'customer', { outlets: { popup: customer.id + '/delete'} }]"
                                replaceUrl="true"
                                queryParamsHandling="merge"
                                class="btn btn-danger btn-sm">
                            <fa-icon [icon]="'times'"></fa-icon>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.delete">Delete</span>
                        </button>
                    </div>
                </td>
            </tr>
            </tbody>
        </table>
    </div>
    <div *ngIf="customers && customers.length">
        <div class="row justify-content-center">
            <jhi-item-count [page]="page" [total]="totalItems" [maxSize]="5" [itemsPerPage]="itemsPerPage"></jhi-item-count>
        </div>
        <div class="row justify-content-center">
            <ngb-pagination [collectionSize]="totalItems" [(page)]="page" [pageSize]="itemsPerPage" [maxSize]="5" [rotate]="true" [boundaryLinks]="true" (pageChange)="loadPage(page)"></ngb-pagination>
        </div>
    </div>
</div>
